<template>
  <FullCalendar :options="options" />
</template>

<script setup>
import "@fullcalendar/core/vdom";
import { computed } from "vue";
import dayGridPlugin from "@fullcalendar/daygrid";
import axios from "axios";
import store from "../../stores";

const props = defineProps({
  data: {
    type: Object,
    default: 0,
  },
});

const options = computed(() => {
  return {
    plugins: [dayGridPlugin],
    droppable: false,
    headerToolbar: {
      right: "title",
      left: "prev,next",
    },
    events: async function (info, successCallback, failureCallback) {
      console.log("START EVENT : ",info.startStr)
      console.log("END EVENT : ",info.endStr)

      await axios
        .get("http://localhost:3030/v1/event/calendar", {
          params: {
            calendar: "month",
            startDate: info.startStr,
            endDate: info.endStr,
          },
          headers: {
            Token: store.state.user.token,
            "User-ID": store.state.user.user_id,
          },
        })
        .then((res) => {
          let data = res.data.data ? res.data.data : [];
          successCallback(data);
        })
        .catch((err) => {
          console.log(err);
          failureCallback(err);
        });
      // await axios
      //   .get("http://10.175.11.75:82/v1/event/calendar", {
      //     params: {
      //       calendar: "month",
      //       startDate: info.startStr,
      //       endDate: info.endStr,
      //     },
      //     headers: {
      //       Token: store.state.user.token,
      //       "User-ID": store.state.user.user_id,
      //     },
      //   })
      //   .then((res) => {
      //     const data = res.data.data ? res.data.data : [];
      //     successCallback(data);
      //   })
      //   .catch((err) => {
      //     console.log(err);
      //     failureCallback(err);
      //   });
    },
    eventColor: '#DC2626',
    // initialDate: "202-01-12",
    navLinks: false,
    editable: false,
    dayMaxEvents: false,
  };
});
</script>
